Bug 1420629 - EJBClientInterceptor is not invoked while doing lookup with ejb:
Summary: EJBClientInterceptor is not invoked while doing lookup with ejb:
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: eap-docs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 06:27 UTC by Mrudula v
Modified: 2017-03-02 12:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Build Name: 22816, Development Guide-6.3-1 Build Date: 18-11-2014 15:56:42 Topic ID: 14186-592104 [Latest]
Last Closed: 2017-02-27 22:41:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Mrudula v 2017-02-09 06:27:43 UTC
Title: Using Scoped EJB Client Contexts

Describe the issue:
When using the property "org.jboss.ejb.client.scoped.context", Context data is set as null.

Suggestions for improvement:


Additional information:
When using naming "ejb:" i get an
10:22:21,486 ERROR [stderr] (http-/0.0.0.0:8080-1) java.lang.IllegalStateException: EJBCLIENT000025: No EJB receiver available for handling [appName:cls-calogi-app-1.3.2.6, moduleName:jf-security-implementation-4.1.0, distinctName:] combination for invocation context org.jboss.ejb.client.EJBClientInvocationContext@1e41d80f
 
     final Properties ejbClientContextProps = new Properties();
     ejbClientContextProps.put(Context.URL_PKG_PREFIXES, "org.jboss.ejb.client.naming");
     ejbClientContextProps.put("org.jboss.ejb.client.scoped.context", "true"); ---> if i remove this line, ejb proxy work (no exception above) but context data always null.
      LOGGER.info("lookup for ejb  : " + jndiName);
final javax.naming.Context context = new InitialContext(p);         
EJBClientContext.getCurrent().registerInterceptor(0,new JBossLoginClientInterceptor());

Comment 1 Brad Maxwell 2017-02-27 22:41:54 UTC
Closing as this does not look like a documentation issue.  You should open a support case for your issue: https://access.redhat.com/support/cases/


Note You need to log in before you can comment on or make changes to this bug.